Skip to content

Partially updates a abstract with the specified ID.

Request

This method will patch an existing abstract with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the abstract to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/abstracts/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The abstract was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
approval_process_idstring(Approval Process)

The approval process for this abstract

average_scorenumber, (float)(Average Score)

The average score for this submission in the most recent round

bodystring(Body)required

The body of the abstract

bucket_idstring(Bucket)required

The review bucket

citystring(City)

The member city

co_author_1object(Co Author 1)
co_author_2object(Co Author 2)
co_author_3object(Co Author 3)
co_author_4object(Co Author 4)
co_author_5object(Co Author 5)
co_authorsArray of objects, non-emptyrequired
countrystring(Country)

The member country

custom_field_valuesArray of objects(Custom Field Values)
datestring, (date-time)(Date)

The date of abstract submission

email_addressstring(Email Address)

The member's email address

event_idstring(Event)required

The ID of the event

first_namestring(First Name)

The member's first name

has_co_authorsboolean(Has Co Authors)

This abstract has co-authors

idstring(ID)^[\w-_:]+$required

The unique, string identifier of this abstract

job_titlestring(Job Title)

The member job title

last_namestring(Last Name)

The member's last name

last_review_status_changestring, (date-time)(Last Review Status Change)

The date that the review status was last changed

main_presenter_idstring(Main Presenter)

Id of the presenter of the abstract

max_contact_submissionsnumber, (float)(Max Contact Submissions)

The max number of abstracts per contact for an event

namestring(Name)required

The member's name

notesstring(Notes)
numbernumber, (float)(Number)

The abstract number

organization_idstring(Organization)

The organization of the submitter

override_bucket_assignmentboolean(Override Bucket Assignment)

If set, the bucket is not calculated automatically, and instead manually assigned

pending_console_reviewboolean(Pending Console Review)

If true, then this record has been reviewed and now needs action by the staff

presenter_infoobject(Presenter Info)required
process_idstring(Process)

The process associated with this abstract

review_process_idstring(Review Process)

Review process for which this abstract is assigned

review_round_idstring(Review Round)required

Current review round for this abstract

review_statusstring(Review Status)

The review status of this application

Enum:"accepted""alternate""declined""pending review"
reviewer_recommendationstring(Reviewer Recommendation)

Aggregate recommendation across all reviewers

reviews_assignedboolean(Reviews Assigned)

Have reviews been assigned for this abstract

room_idsArray of strings(Rooms)

The room(s) where the function is located

round_idstring(Round)

The review round

round_scoresArray of objects
session_has_been_generatedboolean(Session Has Been Generated)

Boolean flag indicating whether or not a session has been been generated for this abstract

session_track_idsArray of strings(Session Tracks)

Session tracks associations for the abstract

statestring(State)

The state

statusstring(Status)required
Enum:"accepted""alternate""approved/accepted by presenter""approved/declined by presenter""approved/pending presenter acceptance""confirmed""declined""draft""more information needed""submitted"
submission_space_idstring(Submission Space)

The submission space to which this object belongs

submitter_idstring(Submitter)required

Id of the contact that submitted the abstract

submitting_on_behalf_of_presenterboolean(Submitting On Behalf Of Presenter)

Bool that identifies if the submitter is different than the presenter

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

titlestring(Title)required

The title of the abstract

total_scorenumber, (float)(Total Score)

The total score for this submission in the most recent round

type_idstring(Type)required

The id for the type of abstract

Response
{ "approval_process_id": "string", "average_score": 0.1, "body": "string", "bucket_id": "string", "city": "string", "co_author_1": { "email_address": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "speaker_type_id": "string" }, "co_author_2": { "email_address": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "speaker_type_id": "string" }, "co_author_3": { "email_address": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "speaker_type_id": "string" }, "co_author_4": { "email_address": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "speaker_type_id": "string" }, "co_author_5": { "email_address": "string", "first_name": "string", "last_name": "string", "phone_number": "string", "speaker_type_id": "string" }, "co_authors": [ { … } ], "country": "string", "custom_field_values": [ { … } ], "date": "2019-08-24T14:15:22Z", "email_address": "string", "event_id": "string", "first_name": "string", "has_co_authors": true, "id": "string", "job_title": "string", "last_name": "string", "last_review_status_change": "2019-08-24T14:15:22Z", "main_presenter_id": "string", "max_contact_submissions": 0.1, "name": "string", "notes": "string", "number": 0.1, "organization_id": "string", "override_bucket_assignment": true, "pending_console_review": true, "presenter_info": { "contact_info": {}, "email_presenter": true }, "process_id": "string", "review_process_id": "string", "review_round_id": "string", "review_status": "accepted", "reviewer_recommendation": "string", "reviews_assigned": true, "room_ids": [ "string" ], "round_id": "string", "round_scores": [ { … } ], "session_has_been_generated": true, "session_track_ids": [ "string" ], "state": "string", "status": "accepted", "submission_space_id": "string", "submitter_id": "string", "submitting_on_behalf_of_presenter": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "title": "string", "total_score": 0.1, "type_id": "string" }